## CORBA Interface IProcessJobNode

### Definition

CORBA Module DFProcessFlow

### IProcessJobNode Description

CORBA Definitions
attribute ActiveExecNodeCount |
attribute BreakPoint |
attribute ChildNodeCount |
attribute DefaultValueCount |
attribute ErrorBehavior |
attribute ExecNodeCount |
attribute Id |
attribute IsTopLevel |
attribute MapFailBehavior |
attribute MappingCount |
attribute Parent |
attribute PreviousNodeCount |
attribute PropertySet |
attribute SkipExecFlag |
attribute SubNodeCount |
attribute Type |
attribute WorkType |
method AddChildNode |
method AddSubNode |
method ClearChildNode |
method ClearChildNodeByIndex |
method ClearSubNode |
method ClearSubNodeByIndex |
method Close |
method CreateDefaultValue |
method CreateMapping |
method DeleteDefaultValue |
method DeleteDefaultValueByIndex |
method DeleteMapping |
method DeleteMappingByIndex |
method ExecuteDiscovery |
method ExecuteDiscoveryXML |
method FindConnectedChild |
method GetChildNodeByIndex |
method GetCreateDefaultValue |
method GetDefaultValue |
method GetDefaultValueByIndex |
method GetExecNode |
method GetMapping |
method GetMappingByIndex |
method GetPrevNodeByIndex |
method GetRequirements |
method GetSubNodeByIndex |
method InitDiscovery |
method SetDiscoveryParam |
method SetSubNodeSlot |
method ValidateChildNode |
method ValidateMapping |
method ValidateSubNode |

Java Classes
IProcessJobNodeHelper | Used to manipulate the IProcessJobNode type
IProcessJobNodeHolder | Used to process the IProcessJobNode type as an out parameter

Java Interfaces
IProcessJobNode |

Java Interface IProcessJobNode

Package com.sas.iom.DFProcessFlow

IProcessJobNode Description

`public interface IProcessJobNode
extends org.omg.CORBA.Object`

Method Summary

int | AddChildNode ( IProcessJobNode child ) throws ( GenericError );
int | AddSubNode ( IProcessJobNode sub ) throws ( GenericError );
int | ClearChildNode ( IProcessJobNode child ) throws ( GenericError );
int | ClearChildNodeByIndex ( int index ) throws ( GenericError );
int | ClearSubNode ( IProcessJobNode sub ) throws ( GenericError );
int | ClearSubNodeByIndex ( int index ) throws ( GenericError );
void | Close ()
IProcessJobNodeDefaultValue | CreateDefaultValue ( java.lang.String name ) throws ( GenericError );
IProcessJobNodeMapping | CreateMapping ( java.lang.String targetName ) throws ( GenericError );
void | DeleteDefaultValue ( java.lang.String name ) throws ( GenericError );
void | DeleteDefaultValueByIndex ( int index ) throws ( GenericError );
void | DeleteMapping ( java.lang.String name ) throws ( GenericError );
void | DeleteMappingByIndex ( int index ) throws ( GenericError );
java.lang.String[][] | ExecuteDiscovery ( ) throws ( GenericError );
octet[] | ExecuteDiscoveryXML ( ) throws ( GenericError );
IProcessJobNode | FindConnectedChild ( ) throws ( GenericError );
IProcessJobNode | GetChildNodeByIndex ( int index ) throws ( GenericError );
IProcessJobNodeDefaultValue | GetCreateDefaultValue ( java.lang.String name ) throws ( GenericError );
IProcessJobNodeDefaultValue | GetDefaultValue ( java.lang.String name ) throws ( NotFound, GenericError );
IProcessJobNodeDefaultValue | GetDefaultValueByIndex ( int index ) throws ( GenericError );
IProcessJobNodeExecution | GetExecNode ( int index ) throws ( GenericError );
IProcessJobNodeMapping | GetMapping ( java.lang.String name ) throws ( NotFound, GenericError );
IProcessJobNodeMapping | GetMappingByIndex ( int index ) throws ( GenericError );
IProcessJobNode | GetPrevNodeByIndex ( int index ) throws ( GenericError );
java.lang.String[][] | GetRequirements ( ) throws ( GenericError );
IProcessJobNode | GetSubNodeByIndex ( int index , org.omg.CORBA.IntHolder slot ) throws ( GenericError );
void | InitDiscovery ( java.lang.String discoveryId ) throws ( Unsupported, GenericError );
void | SetDiscoveryParam ( java.lang.String param , java.lang.String value ) throws ( GenericError );
void | SetSubNodeSlot ( int index , int slot ) throws ( GenericError );
void | ValidateChildNode ( IProcessJobNode child ) throws ( GenericError );
void | ValidateMapping ( IProcessJobNode src ) throws ( GenericError );
void | ValidateSubNode ( IProcessJobNode sub ) throws ( GenericError );

Java Class IProcessJobNodeHelper

public class IProcessJobNodeHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IProcessJobNode type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IProcessJobNodeHelper

Java Class IProcessJobNodeHolder

public class IProcessJobNodeHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IProcessJobNode type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IProcessJobNodeHolder

CORBA Attribute ActiveExecNodeCount (readonly)

Description

Usage

Java Method ActiveExecNodeCount

    public int ActiveExecNodeCount ();

CORBA Attribute BreakPoint

Description

Usage

Java Method BreakPoint

    public int BreakPoint ();
    public void BreakPoint ( int BreakPoint );

CORBA Attribute ChildNodeCount (readonly)

Description

Usage

Java Method ChildNodeCount

    public int ChildNodeCount ();

CORBA Attribute DefaultValueCount (readonly)

Description

Usage

Java Method DefaultValueCount

    public int DefaultValueCount ();

CORBA Attribute ErrorBehavior

Description

Usage

Java Method ErrorBehavior

    public ErrorBehavior ErrorBehavior ();
    public void ErrorBehavior ( ErrorBehavior ErrorBehavior );

CORBA Attribute ExecNodeCount (readonly)

Description

Usage

Java Method ExecNodeCount

    public int ExecNodeCount ();

CORBA Attribute Id (readonly)

Description

Usage

Java Method Id

    public java.lang.String Id ();

CORBA Attribute IsTopLevel (readonly)

Description

Usage

Java Method IsTopLevel

    public boolean IsTopLevel ();

CORBA Attribute MapFailBehavior

Description

Usage

Java Method MapFailBehavior

    public MapFailBehavior MapFailBehavior ();
    public void MapFailBehavior ( MapFailBehavior MapFailBehavior );

CORBA Attribute MappingCount (readonly)

Description

Usage

Java Method MappingCount

    public int MappingCount ();

CORBA Attribute Parent (readonly)

Description

Usage

Java Method Parent

    public IProcessJobNode Parent ();

CORBA Attribute PreviousNodeCount (readonly)

Description

Usage

Java Method PreviousNodeCount

    public int PreviousNodeCount ();

CORBA Attribute PropertySet (readonly)

Description

Usage

Java Method PropertySet

    public IProcessPropertySet PropertySet ();

CORBA Attribute SkipExecFlag

Description

Usage

Java Method SkipExecFlag

    public JobNodeSkipBehavior SkipExecFlag ();
    public void SkipExecFlag ( JobNodeSkipBehavior SkipExecFlag );

CORBA Attribute SubNodeCount (readonly)

Description

Usage

Java Method SubNodeCount

    public int SubNodeCount ();

CORBA Attribute Type (readonly)

Description

Usage

Java Method Type

    public java.lang.String Type ();

CORBA Attribute WorkType

Description

Usage

Java Method WorkType

    public WorkType WorkType ();
    public void WorkType ( WorkType WorkType );

CORBA Method AddChildNode

Description

Usage

Java Method AddChildNode

`int` AddChildNode (

        IProcessJobNode child
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
child | in | IProcessJobNode |

Example

CORBA Method AddSubNode

Description

Usage

Java Method AddSubNode

`int` AddSubNode (

        IProcessJobNode sub
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
sub | in | IProcessJobNode |

Example

CORBA Method ClearChildNode

Description

Usage

Java Method ClearChildNode

`int` ClearChildNode (

        IProcessJobNode child
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
child | in | IProcessJobNode |

Example

CORBA Method ClearChildNodeByIndex

Description

Usage

Java Method ClearChildNodeByIndex

`int` ClearChildNodeByIndex (

        int index
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
index | in | int |

Example

CORBA Method ClearSubNode

Description

Usage

Java Method ClearSubNode

`int` ClearSubNode (

        IProcessJobNode sub
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
sub | in | IProcessJobNode |

Example

CORBA Method ClearSubNodeByIndex

Description

Usage

Java Method ClearSubNodeByIndex

`int` ClearSubNodeByIndex (

        int index
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
index | in | int |

Example

CORBA Method Close

Description

Usage

Java Method Close

`void` Close ( )

Example

CORBA Method CreateDefaultValue

Description

Usage

Java Method CreateDefaultValue

`public IProcessJobNodeDefaultValue` CreateDefaultValue (

        java.lang.String name
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |

Example

CORBA Method CreateMapping

Description

Usage

Java Method CreateMapping

`public IProcessJobNodeMapping` CreateMapping (

        java.lang.String targetName
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
targetName | in | java.lang.String |

Example

CORBA Method DeleteDefaultValue

Description

Usage

Java Method DeleteDefaultValue

`void` DeleteDefaultValue (

        java.lang.String name
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |

Example

CORBA Method DeleteDefaultValueByIndex

Description

Usage

Java Method DeleteDefaultValueByIndex

`void` DeleteDefaultValueByIndex (

        int index
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
index | in | int |

Example

CORBA Method DeleteMapping

Description

Usage

Java Method DeleteMapping

`void` DeleteMapping (

        java.lang.String name
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |

Example

CORBA Method DeleteMappingByIndex

Description

Usage

Java Method DeleteMappingByIndex

`void` DeleteMappingByIndex (

        int index
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
index | in | int |

Example

CORBA Method ExecuteDiscovery

Description

Usage

Java Method ExecuteDiscovery

`java.lang.String[][]` ExecuteDiscovery (

        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---

Example

CORBA Method ExecuteDiscoveryXML

Description

Usage

Java Method ExecuteDiscoveryXML

`octet[]` ExecuteDiscoveryXML (

        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---

Example

CORBA Method FindConnectedChild

Description

Usage

Java Method FindConnectedChild

`public IProcessJobNode` FindConnectedChild (

        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---

Example

CORBA Method GetChildNodeByIndex

Description

Usage

Java Method GetChildNodeByIndex

`public IProcessJobNode` GetChildNodeByIndex (

        int index
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
index | in | int |

Example

CORBA Method GetCreateDefaultValue

Description

Usage

Java Method GetCreateDefaultValue

`public IProcessJobNodeDefaultValue` GetCreateDefaultValue (

        java.lang.String name
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |

Example

CORBA Method GetDefaultValue

Description

Usage

Java Method GetDefaultValue

`public IProcessJobNodeDefaultValue` GetDefaultValue (

        java.lang.String name
        )
        throws (
                NotFound,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |

Example

CORBA Method GetDefaultValueByIndex

Description

Usage

Java Method GetDefaultValueByIndex

`public IProcessJobNodeDefaultValue` GetDefaultValueByIndex (

        int index
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
index | in | int |

Example

CORBA Method GetExecNode

Description

Usage

Java Method GetExecNode

`public IProcessJobNodeExecution` GetExecNode (

        int index
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
index | in | int |

Example

CORBA Method GetMapping

Description

Usage

Java Method GetMapping

`public IProcessJobNodeMapping` GetMapping (

        java.lang.String name
        )
        throws (
                NotFound,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |

Example

CORBA Method GetMappingByIndex

Description

Usage

Java Method GetMappingByIndex

`public IProcessJobNodeMapping` GetMappingByIndex (

        int index
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
index | in | int |

Example

CORBA Method GetPrevNodeByIndex

Description

Usage

Java Method GetPrevNodeByIndex

`public IProcessJobNode` GetPrevNodeByIndex (

        int index
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
index | in | int |

Example

CORBA Method GetRequirements

Description

Usage

Java Method GetRequirements

`java.lang.String[][]` GetRequirements (

        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---

Example

CORBA Method GetSubNodeByIndex

Description

Usage

Java Method GetSubNodeByIndex

`public IProcessJobNode` GetSubNodeByIndex (

        int index ,
        org.omg.CORBA.IntHolder slot
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
index | in | int |
slot | out | org.omg.CORBA.IntHolder |

Example

CORBA Method InitDiscovery

Description

Usage

Java Method InitDiscovery

`void` InitDiscovery (

        java.lang.String discoveryId
        )
        throws (
                Unsupported,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
discoveryId | in | java.lang.String |

Example

CORBA Method SetDiscoveryParam

Description

Usage

Java Method SetDiscoveryParam

`void` SetDiscoveryParam (

        java.lang.String param ,
        java.lang.String value
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
param | in | java.lang.String |
value | in | java.lang.String |

Example

CORBA Method SetSubNodeSlot

Description

Usage

Java Method SetSubNodeSlot

`void` SetSubNodeSlot (

        int index ,
        int slot
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
index | in | int |
slot | in | int |

Example

CORBA Method ValidateChildNode

Description

Usage

Java Method ValidateChildNode

`void` ValidateChildNode (

        IProcessJobNode child
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
child | in | IProcessJobNode |

Example

CORBA Method ValidateMapping

Description

Usage

Java Method ValidateMapping

`void` ValidateMapping (

        IProcessJobNode src
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
src | in | IProcessJobNode |

Example

CORBA Method ValidateSubNode

Description

Usage

Java Method ValidateSubNode

`void` ValidateSubNode (

        IProcessJobNode sub
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
sub | in | IProcessJobNode |

Example